]> rtime.felk.cvut.cz Git - coffee/buildroot.git/commitdiff
package/dhcp: fix SysV init scripts output text
authorBenoît Thébaudeau <benoit@wsystem.com>
Sun, 25 Oct 2015 00:59:33 +0000 (02:59 +0200)
committerThomas Petazzoni <thomas.petazzoni@free-electrons.com>
Thu, 24 Dec 2015 14:04:54 +0000 (15:04 +0100)
Fix various messages displayed by these scripts:
 - make start-stop-daemon quiet in order to avoid extra messages like
   "stopped /usr/sbin/dhcpd (pid 174)" being output between the command
   description and its result,
 - fix the script names in the usage strings.

Signed-off-by: Benoît Thébaudeau <benoit@wsystem.com>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
package/dhcp/S80dhcp-relay
package/dhcp/S80dhcp-server

index 0f383e604392f03a0799bfa6548dd0fe27548021..6493eda631c30d2739f9471c5d5af6c4575b3dd9 100755 (executable)
@@ -33,12 +33,12 @@ DHCRELAYPID=/var/run/dhcrelay.pid
 case "$1" in
        start)
                printf "Starting DHCP relay: "
-               start-stop-daemon -S -x /usr/sbin/dhcrelay -- -q $OPTIONS $IFCMD $SERVERS
+               start-stop-daemon -S -q -x /usr/sbin/dhcrelay -- -q $OPTIONS $IFCMD $SERVERS
                [ $? = 0 ] && echo "OK" || echo "FAIL"
                ;;
        stop)
                printf "Stopping DHCP relay: "
-               start-stop-daemon -K -x /usr/sbin/dhcrelay
+               start-stop-daemon -K -q -x /usr/sbin/dhcrelay
                [ $? = 0 ] && echo "OK" || echo "FAIL"
                ;;
        restart | force-reload)
@@ -47,7 +47,7 @@ case "$1" in
                $0 start
                ;;
        *)
-               echo "Usage: /etc/init.d/dhcp-relay {start|stop|restart|force-reload}"
+               echo "Usage: $0 {start|stop|restart|force-reload}"
                exit 1
 esac
 
index 9d59636a2eabfbcadb44407bde51bf6581e85292..f4e220986f864f5c7444706608429fe62f871de9 100755 (executable)
@@ -26,12 +26,12 @@ case "$1" in
                printf "Starting DHCP server: "
                test -d /var/lib/dhcp/ || mkdir -p /var/lib/dhcp/
                test -f /var/lib/dhcp/dhcpd.leases || touch /var/lib/dhcp/dhcpd.leases
-               start-stop-daemon -S -x ${DAEMON} -- -q $OPTIONS $INTERFACES
+               start-stop-daemon -S -q -x ${DAEMON} -- -q $OPTIONS $INTERFACES
                [ $? = 0 ] && echo "OK" || echo "FAIL"
                ;;
        stop)
                printf "Stopping DHCP server: "
-               start-stop-daemon -K -x ${DAEMON}
+               start-stop-daemon -K -q -x ${DAEMON}
                [ $? = 0 ] && echo "OK" || echo "FAIL"
                ;;
        restart | force-reload)
@@ -43,7 +43,7 @@ case "$1" in
                fi
                ;;
        *)
-               echo "Usage: /etc/init.d/dhcp-server {start|stop|restart|force-reload}"
+               echo "Usage: $0 {start|stop|restart|force-reload}"
                exit 1
 esac